
Redmine - Feature #1797

Defaults enabled modules list for project creation

2008-08-18 12:45 - Anonymous

Status: Closed Start date: 2008-08-18

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed   

Description

Currently, when creating a project, the user has to uncheck modules he does not want to use (all modules being active by default).

One should be able to define a set of modules he wants active by default, so you could go a little faster when creating a project.

The admin would choose the default set of modules using the settings controller, in a new tab or using the general tab.

Maybe a "projects" tab could be used for displaying projects defaults (at the moment the only configurable default is "public

availability", Modules if this feature is implemented, and we could imagine adding Trackers and Custom Fields).

Related issues:

Has duplicate Redmine - Feature #4131: Configurable default trackers Closed 2009-10-28

Associated revisions

Revision 3068 - 2009-11-15 17:20 - Jean-Philippe Lang

Adds a setting for new projects default modules (#1797).

History

#1 - 2008-08-18 13:55 - Paul Rivier

I am not sure it is worth the effort only for modules.

However, your request seems to be related to another one (that I'm unable to find at the moment). It was to add a feature so that we could "replicate"

existing projects, choosing what to keep and what to discard. Typically, I guess you could replicate one of your projects, keeping activated modules

list, and/or members list etc.

#2 - 2008-08-18 14:44 - Anonymous

Indeed project replication would be more suited for this kind of feature (or maybe even a "project skeleton" ?).

I'll try to find the related issue.

#3 - 2009-01-27 22:17 - bart bart

Is this feature allready implemented or are there plans to?

#4 - 2009-04-28 13:59 - Nick Fitzgerald

I'd like to see this feature as well. For most of our projects we only need to use three of the modules. I think it would make more sense to be able to

configure which modules are selected by default as opposed to having a project skeleton.

#5 - 2009-11-02 19:27 - Thimios Dimopulos

We would also like to have this feature

#6 - 2009-11-09 12:20 - J Cayetano Delgado

+1

#7 - 2009-11-10 14:16 - Lluís Vilanova

+1

#8 - 2009-11-15 17:47 - Jean-Philippe Lang

- Category set to Administration

- Status changed from New to Closed
- Target version set to 0.9.0

- Resolution set to Fixed

However, your request seems to be related to another one (that I'm unable to find at the moment). It was to add a feature so that we could

"replicate" existing projects, choosing what to keep and what to discard.

 This was added in r2704.

I'd like to see this feature as well. For most of our projects we only need to use three of the modules. I think it would make more sense to be able

to configure which modules are selected by default as opposed to having a project skeleton.

 Feature added in r3068.
